Index: lexer_v3.l
===================================================================
RCS file: /cvsroot/bogofilter/bogofilter/src/lexer_v3.l,v
retrieving revision 1.162
diff -u -r1.162 lexer_v3.l
--- src/lexer_v3.l	27 Jun 2005 00:40:48 -0000	1.162
+++ src/lexer_v3.l	18 Jul 2005 21:22:49 -0000
@@ -213,7 +213,7 @@
 VERP		{TOKEN}-{VERPID}-{TOKEN}={TOKEN}@{TOKEN}
 
 %s TEXT HTML BOGO_LEX
-%s HTOKEN HDISCARD SCOMMENT LCOMMENT
+%s HTOKEN HDISCARD SCOMMENT LCOMMENT PCOMMENT
 %s PGP_HEAD PGP_BODY
 
 %%
@@ -297,14 +297,16 @@
 
 <HTML>"<!--"					{ BEGIN SCOMMENT; }
 <HTML>"<!"					{ BEGIN LCOMMENT; }
+<HTML>"<scan"					{ BEGIN PCOMMENT; }	/* beginning of "span" comment */
 <HTML>"<"(a|img|font){WHITESPACE}		{ BEGIN HTOKEN; }
 <HTML>"<"					{ BEGIN HDISCARD; }	/* unknown tag */
 
 <HTOKEN>{TOKEN}					{ return TOKEN; }
-<HDISCARD,LCOMMENT,SCOMMENT>{TOKEN}		{ /* discard innards of html tokens and comments */ }
+<HDISCARD,LCOMMENT,SCOMMENT,PCOMMENT>{TOKEN}	{ /* discard innards of html tokens and comments */ }
 
 <HTOKEN,HDISCARD,LCOMMENT>">"			{ BEGIN HTML; }	/* end of tag, loose comment; return to normal html processing */
 <SCOMMENT>"-->"					{ BEGIN HTML; }	/* end of strict comment; return to normal html processing */
+<PCOMMENT>"</scan>"				{ BEGIN HTML; }	/* end of "span" comment; return to normal html processing */
 "<"\!DOCTYPE\ HTML\ PUBLIC\ .*">" 		{ BEGIN HTML; }
 
 {IPADDR}					{ return IPADDR;}
